Wallet transactions & rates
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/wallet/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/wallet/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/wallet/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Account
Wallet transactions & rates
Retrieve transaction history and multi-currency foreign exchange rates
GET
/
wallet
/
transactions
Wallet transactions & rates
curl --request GET \
--url https://prod-platform-core-api.20x.business/api/v1/wallet/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-platform-core-api.20x.business/api/v1/wallet/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-platform-core-api.20x.business/api/v1/wallet/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));Returns the ledger of all wallet transactions (credits, auto-topups, call usage charges, and refunds).
Query parameters
number
default:"1"
Page number
number
default:"20"
Number of transactions per page
curl "https://prod-platform-core-api.20x.business/api/v1/wallet/transactions?page=1&pageSize=10" \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"
import os, requests
resp = requests.get(
"https://prod-platform-core-api.20x.business/api/v1/wallet/transactions",
headers={"Authorization": f"Bearer {os.environ['AGENTIC_OS_API_KEY']}"},
params={"page": 1, "pageSize": 10},
)
print(resp.json())
const resp = await fetch("https://prod-platform-core-api.20x.business/api/v1/wallet/transactions?page=1&pageSize=10", {
headers: { Authorization: `Bearer ${process.env.AGENTIC_OS_API_KEY}` },
});
console.log(await resp.json());
Response
{
"transactions": [
{
"id": "tx_998877",
"type": "CREDIT",
"amount": "100.00",
"currency": "USD",
"status": "COMPLETED",
"description": "Card Recharge via Stripe",
"createdAt": "2026-08-15T12:00:00.000Z"
}
],
"total": 1,
"page": 1,
"pageSize": 10
}
Get Multi-Currency FX Rates
GET /billing/fx-rates
Fetches active foreign exchange conversion rates applied to billing wallets.
curl
curl https://prod-platform-core-api.20x.business/api/v1/billing/fx-rates \
-H "Authorization: Bearer $AGENTIC_OS_API_KEY"

